variable "name" {
  type    = string
  default = null
}

variable "namespace" {
  type    = string
  default = "postgresql"
}

variable "host" {
  type    = string
  default = "postgresql-hl.postgresql.svc.cluster.local"
}

variable "root_username" {
  type    = string
  default = "postgres"
}

variable "root_database" {
  type    = string
  default = "postgres"
}

variable "root_password" {
  type      = string
  sensitive = true
}

variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}

variable "k8s_config_yaml" {
  description = "Content of k8s config yaml file"
  type        = string
}

variable "enabled" {
  type    = bool
  default = true
}
